{{page-title @model.campaign.name " | " (capitalize (t "edit"))}}

{{#if (or this.fastboot.isFastBoot (not @model))}}
  <LoadingContainer />
{{else}}
  <div class="d-flex min-h-100">
    <Manage::SideBar class="order-last flex-shrink-1">
      <Manage::Visibility
        @model={{@model.campaign}}
        @teams={{@model.teams}}
        @hasIsDefault={{false}}
        @editablePanel={{this.editableField}}
        @savingPanel={{this.savingField}}
        @isAdmin={{this.user.isAdmin}}
        @areAllShowing={{this.allTeams}}
        @onChangeAll={{this.changeAll}}
        @saveIsPublic={{this.saveIsPublic}}
        @saveIsDefault={{this.saveIsDefault}}
        @saveTeam={{this.saveTeam}}
        @onEdit={{this.edit}}
        @onCancel={{this.cancel}}
      />

      <Manage::Toggle
        @title={{t "survey-registration-mandatory-label"}}
        @id={{"toggle-mandatory-registration"}}
        @value={{@model.campaign.options.registrationMandatory}}
        @onSave={{fn this.saveField "options.registrationMandatory"}}
        @savingField={{@savingPanel}}
      />

      <Manage::ModelInfo
        @editablePanel={{this.editableField}}
        @savingPanel={{this.savingField}}
        @model={{@model.campaign}}
        @onSave={{this.save}}
        @onCancel={{this.cancel}}
        @onEdit={{this.edit}}
      />
    </Manage::SideBar>

    <Manage::Container @title={{capitalize (t "edit survey")}} @breadcrumbs={{this.breadcrumbs}}>
      <:content>
        <Manage::Row @name="article">
          <Manage::Article
            @title={{t "name and description"}}
            @editablePanel={{this.editableField}}
            @value={{@model.campaign.contentBlocks}}
            @onSave={{this.saveArticle}}
            @onCancel={{this.cancel}}
            @onEdit={{this.edit}}
          />
        </Manage::Row>

        <Manage::Row @name="cover">
          <Manage::Cover
            @title={{t "cover photo"}}
            @model="Campaign"
            @modelId={{@model.campaign.id}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @onSave={{this.saveCover}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
            @value={{@model.campaign.cover}}
          />
        </Manage::Row>

        <Manage::Row @name="date-interval">
          <Manage::DateInterval
            @allowUnset={{true}}
            @title={{t "date interval"}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @onSave={{this.saveInterval}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
            @value={{@model.campaign}}
          />
        </Manage::Row>

        <Manage::Row @name="map">
          <Manage::Map
            @title={{t "map"}}
            @isMainValue={{true}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @onSave={{this.saveMap}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
            @value={{@model.campaign.map}}
            @maps={{@model.maps}}
          />
        </Manage::Row>

        <Manage::Row @name="default icons">
          <Manage::Icons
            @title={{t "default icons"}}
            @isDisabled={{this.isDisabled}}
            @value={{@model.campaign.icons}}
            @iconSets={{@model.iconSets}}
            @editablePanel={{this.editableField}}
            @onSave={{fn this.saveField "icons"}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}} />
        </Manage::Row>

        <Manage::Row @name="questions">
          <Manage::SurveyQuestions
            @title={{t "questions"}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @onSave={{fn this.saveField "questions"}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
            @value={{@model.campaign.questions}}
            @iconSets={{@model.iconSets}}
          />

        </Manage::Row>

        <Manage::Row @name="about-contributor-questions">
          <Manage::ContributorQuestions
            @title={{t "contributor questions"}}
            @editablePanel={{this.editableField}}
            @onSave={{fn this.saveField "contributorQuestions"}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
            @value={{@model.campaign.contributorQuestions}}
          />
        </Manage::Row>

        <Manage::Row @name="feature-name-prefix">
          <Manage::Text
            @title={{t "feature name prefix"}}
            @value={{@model.campaign.options.featureNamePrefix}}
            @emptyError={{capitalize (t "default")}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @onSave={{this.saveFeatureNamePrefix}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
          />
        </Manage::Row>

        <Manage::Row @name="notifications">
          <Manage::SurveyNotifications
            @title={{t "notifications"}}
            @editablePanel={{this.editableField}}
            @savingPanel={{this.savingField}}
            @onSave={{this.saveNotifications}}
            @onEdit={{this.edit}}
            @onCancel={{this.cancel}}
            @value={{@model.campaign.notifications}}
          />
        </Manage::Row>
      </:content>
    </Manage::Container>
  </div>
{{/if}}